Bugs item #10303, was opened at 2007-04-23 10:44
You can respond by visiting: 
http://rubyforge.org/tracker/?func=detail&atid=1698&aid=10303&group_id=426

Category: Core
Group: 1.8.6
Status: Open
Resolution: None
Priority: 3
Submitted By: Michal Suchanek (hramrach)
Assigned to: Nobody (None)
Summary: miniruby loads extensions from already installed ruby

Initial Comment:
This excerpt from my build log shows that miniruby loads an extension from a version of the interpreter that is already installed.

This is a bad thing because miniruby is used during build of new interpreter and should use only the newly built extensions. Already installed extensions may be incompatible or broken and may thus break the build.

compiling dl
Generating callback.func
../../miniruby -I'../..' -I'../.././lib' -I../../.ext
../.././ext/dl/mkcallback.rb > callback.func
/sw/lib/ruby/1.8/i686-darwin/etc.bundle: [BUG] Bus Error
ruby 1.8.6 (2007-03-13) [i686-darwin]

----------------------------------------------------------------------

You can respond by visiting: 
http://rubyforge.org/tracker/?func=detail&atid=1698&aid=10303&group_id=426